//----------------------------------------------------------------------------
// 
//	file: bbtest.cc
// 
//	function: test blackboard routines 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Fri Jul 17 00:36:57 CDT 1998
// 
//	$Revision: 1.1 $ $Date: 1998/10/16 10:35:21 $
//	$Log: bbwrite.cc,v $
//	Revision 1.1  1998/10/16 10:35:21  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <iostream.h>
#include <nnview/blackboard.h>
#include <nnview/real.h>
#include <nnview/util.h>

#define INT int

int main(int argc, char *argv[]) {

  int i, j;
  INT p,q;
  INT *array;
  INT **array2;

  if (argc!=2) {
	printf("usage: bbwrite <blackboardfile>\n");
	exit(0);
  }

  blackboard *bb = new blackboard("blackboard test", 100);
  
  array = new INT [100];
  array2 = new INT* [100];
  for (int x=0; x<100; ++x) {
	array2[x] = new INT [10];
	for (int y=0; y<10; ++y) array2[x][y] = x*100+y;
  }

  bb->add("i",&i);
  bb->add("j",&j);
  bb->add("p",&p);
  bb->add("array2",array2,100,10);
  bb->add("q",&q);
  bb->add("array",array,100);

  // set values
  i = 100; j = 200; p = 300 ; q = 350;
  for (int k=0; k<100; ++k) array[k] = k*10;

  bb->save(argv[1]);
  cout << "SAVED\n" ;
  bb->load(argv[1]);

  cout << "version = " << bb->version << "\n";
  cout << "comment = " << bb->comment << "\n";
  cout << "count   = " << bb->count << "\n";
 
}
