#
# helpme
#
define helpme
printf "dspl -- overrides previous definition of display\n"
printf "dispmat <2d-matrixname> <n> <m> -- general array[n][m]\n"
printf "dispimat <2d-matrixname> <n> -- general integer array[n][n]\n"
printf "displat <maplayername> <exc/inh> <x> <y>  -- lissom specific\n"
printf "dispaff <maplayername> <inp_layer_num> <x> <y> -- lissom specific\n"
printf "maxmat  <matrix-name>  <cols> <rows> -- generic \n"
printf "maxaff  <maplayername> <inp_layer_num> <x> <y> -- lissom specific\n"
printf "maxlat  <maplayername> <exc/inh> <x> <y>  -- lissom specific\n"
printf "xdispmat <2d-matrixname> <n> <gran> -- general array[n][n]\n"
end

define dspl 
display $arg0
end

#
# dispmat <2d-matrixname> <n> <m> -- general array[n][m]
#
define dispmat
set $x=0
print "$arg0 $arg1 $arg2\n"
while $x < $arg2
  print {float}$arg0[$x++]@$arg1
end
end

define dispimat
set $x=0
print "$arg0 $arg1\n"
while $x < $arg1
  print {int}$arg0[$x++]@$arg1
end
end

#
# displat <maplayername> <exc/inh> <x> <y>  -- lissom specific
#
define displat
set $cols = $arg0->lat_$arg1_range[$arg2][$arg3].cols
set $rows = $arg0->lat_$arg1_range[$arg2][$arg3].rows
printf "cols = %d, rows = %d\n", $cols, $rows
set $x=0
while $x < $rows
   printf "%d ",$x
   print {float}$arg0->wgt[$arg2][$arg3].lat_$arg1_w[$x++]@$cols
end
end

#
# dispaff <maplayername> <inp_layer_num> <x> <y> -- lissom specific
#
define dispaff
set $cols = $arg0->rf_ranges[$arg1][$arg2][$arg3].cols
set $rows = $arg0->rf_ranges[$arg1][$arg2][$arg3].rows
printf "cols = %d, rows = %d\n", $cols, $rows
set $x=0
while $x < $rows
   printf "%d ",$x
   print {float}$arg0->wgt[$arg2][$arg3].aff_ws[$arg1][$x++]@$cols
end
end

# 
# maxmat <matrix-name> <cols> <rows> -- generic 
#
define maxmat
set $cols=$arg1
set $rows=$arg2
set $x=0
set $max = -999999.9
set $maxx = 0
set $maxy = 0
while $x < $cols
  set $y = 0
  while $y < $rows
     if $arg0[$x][$y] > $max
	set $max = $arg0[$x][$y]
	set $maxx = $x
	set $maxy = $y
     end
     set $y = $y+1
  end
  set $x = $x+1
end
printf "max = loc(%d,%d) %f\n",$maxx,$maxy,$max
end

#
# maxaff <maplayername> <inp_layer_num> <x> <y> -- lissom specific
#
define maxaff
set $cols = $arg0->rf_ranges[$arg1][$arg2][$arg3].cols
set $rows = $arg0->rf_ranges[$arg1][$arg2][$arg3].rows
printf "cols = %d, rows = %d\n", $cols, $rows
maxmat $arg0->wgt[$arg2][$arg3].aff_ws[$arg1] $cols $rows
end

#
# maxlat <maplayername> <exc/inh> <x> <y>  -- lissom specific
#
define maxlat
set $cols = $arg0->lat_$arg1_range[$arg2][$arg3].cols
set $rows = $arg0->lat_$arg1_range[$arg2][$arg3].rows
printf "cols = %d, rows = %d\n", $cols, $rows
maxmat $arg0->wgt[$arg2][$arg3].lat_$arg1_w $cols $rows
end

#
# xdispmat <2d-matrixname> <n> <gran> -- general array[n][n]
#
define xdispmat
set $x=0
call gdb_dispmat($arg0,$arg1,$arg1,$arg2)
call XFlush(display)
end

